%define name cdparanoia-plugin
%define version 0.1
%define release %mkrel 12

Summary: Digital CD playback plugin for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www02.u-page.so-net.ne.jp/ca2/kzmi/xmms/
License: GPLv2+
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxmms-devel
BuildRequires: libcdda-devel
BuildRequires: automake1.4
Requires: xmms

%description
This plugin reads CDDA sectors and passes them to XMMS directly. That
way you don't need a cable from the CD-ROM to the sound card and you
can use the usual effect and visualization plugins.

%prep
%setup -q
aclocal-1.4
autoconf
automake-1.4 --foreign
libtoolize --force

%build
export LDFLAGS=-lm
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Input/libcdparanoia.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_libdir/xmms/Input/libcdparanoia.so




%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-12mdv2009.0
+ Revision: 243467
- rebuild

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 0.1-10mdv2008.1
+ Revision: 157870
- fix build on x86_64
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.1-9mdv2007.0
+ Revision: 112804
- Import cdparanoia-plugin

* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.1-9mdv2007.1
- Rebuild

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 0.1-1mdv2007.0
- Rebuild

* Mon May 08 2006 Götz Waschk <waschk@mandriva.org> 0.1-7mdk
- Rebuild
- use mkrel

* Sat May 07 2005 Gtz Waschk <waschk@mandriva.org> 0.1-6mdk
- fix build on x86_64

* Sat Jul 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-5mdk
- fix buildrequires
- drop prefix
- rebuild

